com.tibbo.aggregate.common.protocol

## Class ProtocolCommandBuilder

- java.lang.Object
- - com.tibbo.aggregate.common.protocol.ProtocolCommandBuilder

-     public class ProtocolCommandBuilder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CLIENT_COMMAND_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolCommandBuilder(boolean json)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutgoingAggreGateCommand` | `addEventListenerOperation(java.lang.String context, java.lang.String name, java.lang.Integer listenerHashCode, java.lang.String filter, java.lang.String fingerprint)`
    `OutgoingAggreGateCommand` | `callFunctionOperation(java.lang.String context, java.lang.String name, java.lang.String encodedInput, java.lang.String queueName, java.lang.String flags)`
    `OutgoingAggreGateCommand` | `createCommand()`
    `static OutgoingAggreGateCommand` | `createCommand(boolean json)`
    `OutgoingAggreGateCommand` | `getVariableOperation(java.lang.String context, java.lang.String name)`
    `OutgoingAggreGateCommand` | `operationMessage()`
    `OutgoingAggreGateCommand` | `removeEventListenerOperation(java.lang.String context, java.lang.String name, java.lang.Integer listenerHashCode, java.lang.String filter, java.lang.String fingerprint)`
    `OutgoingAggreGateCommand` | `setVariableOperation(java.lang.String context, java.lang.String name, java.lang.String encodedValue, java.lang.String queueName)`
    `OutgoingAggreGateCommand` | `startMessage()`
    `OutgoingAggreGateCommand` | `startMessage(java.lang.String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLIENT_COMMAND_SEPARATOR

          public static final java.lang.String CLIENT_COMMAND_SEPARATOR

  - ### Constructor Detail

    - #### ProtocolCommandBuilder

          public ProtocolCommandBuilder(boolean json)

  - ### Method Detail

    - #### createCommand

          public OutgoingAggreGateCommand createCommand()

    - #### createCommand

          public static OutgoingAggreGateCommand createCommand(boolean json)

    - #### startMessage

          public OutgoingAggreGateCommand startMessage()

    - #### startMessage

          public OutgoingAggreGateCommand startMessage(java.lang.String version)

    - #### operationMessage

          public OutgoingAggreGateCommand operationMessage()

    - #### getVariableOperation

          public OutgoingAggreGateCommand getVariableOperation(java.lang.String context,
                                                               java.lang.String name)

    - #### setVariableOperation

          public OutgoingAggreGateCommand setVariableOperation(java.lang.String context,
                                                               java.lang.String name,
                                                               java.lang.String encodedValue,
                                                               java.lang.String queueName)

    - #### callFunctionOperation

          public OutgoingAggreGateCommand callFunctionOperation(java.lang.String context,
                                                                java.lang.String name,
                                                                java.lang.String encodedInput,
                                                                java.lang.String queueName,
                                                                java.lang.String flags)

    - #### addEventListenerOperation

          public OutgoingAggreGateCommand addEventListenerOperation(java.lang.String context,
                                                                    java.lang.String name,
                                                                    java.lang.Integer listenerHashCode,
                                                                    java.lang.String filter,
                                                                    java.lang.String fingerprint)

    - #### removeEventListenerOperation

          public OutgoingAggreGateCommand removeEventListenerOperation(java.lang.String context,
                                                                       java.lang.String name,
                                                                       java.lang.Integer listenerHashCode,
                                                                       java.lang.String filter,
                                                                       java.lang.String fingerprint)